Kerbal Space Program - Bug #5199

Orbiting Craft Experiences Spontaneous Combustion(1.0.4)
07/02/2015 08:52 AM - Duxomnim

Status: Closed Start date: 07/02/2015
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.0.2 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

| am playing the Steam version 1.0.4.861 on a 64-bit Windows 7 System in career mode.

| got a simple craft into a polar orbit with an orbital scanner and a few batteries, science modules and crew pods along with two
radially attached engines with fuel tanks. The craft also had 2 small solar panels and one of the new small deployable radiators to
keep the temperatures down, but a few seconds after making a quicksave the craft exploded. The temperature gauges overlay
showed no dangerous temperatures before the explosion.

Using the debug menu | was able to see what happened without max temperature. The numbers suddenly jump from ~330K to well
over 10"30K (I took this number from the save file as it was much too high to appear in-game with the thermal data display.
Interestingly, when | decouple the craft before the incident, all parts receive the same heating. The launch was done with several
mods installed but | am able to reproduce the incident by simply reloading in vanilla KSP. All parts are stock 1.0.4 parts.

| have attached the quicksave | took moments before the blast (though at the time | was controlling a kerbal on EVA) and here is a
gallery of the craft in question: http://imgur.com/a/NJNGV

Related issues:

Related to Kerbal Space Program - Bug #5181: Certain part combinations overhe... Closed 06/25/2015
Related to Kerbal Space Program - Bug #5174: Octagonal Strut + TR-2L Ruggediz... Closed 06/24/2015
History

#1 - 07/02/2015 10:45 AM - Squelch

- Status changed from New to Need More Info

Thank you for your report. However, you have mentioned the use of mods, and while KSP actively supports the creation of mods, we cannot support
them nor the possibility of their effects on this tracker.

Please refer to the Bug Reporting Guide for more information. We do need clear reproduction steps, and supporting logs in an unmodded game to be
able to process bug reports. Please also provide a craft file so we can investigate?

| shall mark this as needing more information for a short while to provide you the opportunity to replicate in an unmodded game. If this is not possible,
then we would have no option but to close this report.

#2 - 07/03/2015 04:59 AM - Duxomnim

- File Dux 2_1 Orbital Scanner.craft added
- File output_log.txt added

- File DxDiag.txt added

Unfortunately | have been unable to replicate the problem by any means other than reloading the above save (in a stock game) and | am out of ideas
as to where to go from here. Even replicating the mission was no help. | know this isn't a lot of help, but | was hoping this might help if a similar
problem were reported since it may have to do with the recent updates to the heating system.

Again | apologize for not being of more help.

#3 - 07/03/2015 05:15 PM - Squelch

| have not been able to reproduce this.

We can only present reproducible bugs to the developers, or where they are ephemeral such as this, a reasoned and well documented case for
investigation.

| have reviewed the logs and craft, and although there appears to be an overheat event, the cause is unclear. We are aware of some strange
launchpad explosions, and these are being investigated. This report may fall into the same category.

See #5181 and #5174

#4 - 07/03/2015 05:15 PM - Squelch

- Related to Bug #5181: Certain part combinations overheat depending on global orientation. added

#5 - 07/03/2015 05:15 PM - Squelch
- Related to Bug #5174: Octagonal Strut + TR-2L Ruggedized Vehicular Wheel thermal issue added

#6 - 07/26/2015 05:20 AM - redredgreengreen
- File persistent.sfs added

- File quicksave.sfs added

- File yay.sfs added

- File Orbit Shot 1.craft added

- File crash.dmp added

- File error.log added

- File output_log.txt added

- File report.ini added

| have experienced the same problem in an unmodded game in a very similar situation. This problem persisted over multiple quicksaves, though it
was only on one ship so far. It appears that when | either leave warp and return to x1, or any other event that causes the ship to reload, there is a
chance the ship will blow up. It consistently happens in the same place for this quicksave. But odder still, there seems to be either a delayed reaction
or aftereffect on another part of the ship, occurring about 10 seconds after the first part overheated. | am attaching video of myself (repeatedly)
loading a quicksave and having the ship explode. | also have a theory as to what is happening. Just looking at what happens in game, it seems that
the bug originates with the small radiator panels, as only parts attached to radiator panels are exploding. And, with the heat overlay, we could see the
heat oscillating between one panel and the Science Jr. | think that the panels are somehow generating heat at a very high rate, and it moves between
themselves and the part. Perhaps the heat is duplicating itself? No matter what, this is NOT what you would expect or want from a part that is
supposed to dissipate heat.

| have attached links to 2 videos (as they exceed the 5 MB maximum size be about 100 mb), one just showing the explosions enough times to prove
this is something that is consistently happening, and another showing the debug menus, heat distribution, etc.

| have also attached the saves files for this account, and the rocket that is experiencing the problem. (persistent.sfs , quicksave.sfs , yay.sfs , Orbit
Shot 1.craft)

Oh, and | found a folder with today's date. Maybe it is a crash report, save, IDK. | attached the files inside too, just in case they help. (crash.dmp,
error.log, output_log.txt, report.ini)

System specifications:

Windows 7 Home Premium

AMD FX-8120 Eight core processor, 3.1 GHz
8 GB RAM

64 Bit opperating system

KSP VERSION 1.0.4.861

links:
https://www.youtube.com/watch?v=WXH9kYYRwPk
https://www.youtube.com/watch?v=rGH3Nt23Co0

#7 - 07/26/2015 09:44 AM - Squelch

redredgreengreen wrote:

| have experienced the same problem in an unmodded game in a very similar situation. This problem persisted over multiple quicksaves, though
it was only on one ship so far. It appears that when | either leave warp and return to x1, or any other event that causes the ship to reload, there is
a chance the ship will blow up. It consistently happens in the same place for this quicksave. But odder still, there seems to be either a delayed
reaction or aftereffect on another part of the ship, occurring about 10 seconds after the first part overheated. | am attaching video of myself
(repeatedly) loading a quicksave and having the ship explode.

| have attached links to 2 videos (as they exceed the 5 MB maximum size be about 100 mb), one just showing the explosions enough times to
prove this is something that is consistently happening, and another showing the debug menus, heat distribution, etc.

Unfortunately your video recording software transport controls hide an important piece of information. The timer in the top left shows not only the time,
but the status of the physics rendering system. Referring to the wiki entry for time warp the timer will change colour to indicate how well the physics is
keeping up. Under warp conditions, this may place extra load on the system, so depending on system's current load, and capabilities, different results
will be seen by different people. This seems to be a significant factor in this problem.

| have also attached the saves files for this account, and the rocket that is experiencing the problem. (persistent.sfs , quicksave.sfs , yay.sfs ,
Orbit Shot 1.craft)

Thank you for the comprehensive information. We can load these up and investigate the outcome (with the performance caveat above in mind)

Oh, and | found a folder with today's date. Maybe it is a crash report, save, IDK. | attached the files inside too, just in case they help. (crash.dmp,
error.log, output_log.txt, report.ini)

That does indeed look like a crash dump, and may need review, but we would need to determine if it is related to this issue, or is something else.

Could you also attach the log for a game session where the craft explodes? Again, this information might be important when comparing dissimilar
hardware capabilities. By the way, that is in no way meant to demean your hardware which | believe to be more than sufficient for the task. | run a
very similar rig with an FX8250, and do see differences in results depending on the number of background tasks including video recording.

#8 - 07/26/2015 01:44 PM - Squelch

Squelch wrote:

That does indeed look like a crash dump, and may need review, but we would need to determine if it is related to this issue, or is something else.

After careful review, it would seem that the crash is unrelated to this issue, and the log does not contain any entries for overheating. There are some
other error entries that might need investigation if it is a persistent problem, but that would need to be the subject of another issue report.

#9 - 07/26/2015 02:52 PM - Squelch
- File deleted (output_log.txt)

#10 - 07/26/2015 02:52 PM - Squelch
- File deleted (report.ini)

#11 - 07/26/2015 02:52 PM - Squelch
- File deleted (crash.dmp)

#12 - 07/26/2015 02:52 PM - Squelch
- File deleted (error.log)

#13 - 07/26/2015 02:54 PM - Squelch

| have taken the liberty of removing the "crash files" attachments so as not to confuse this issue. On further review, they are from an unrelated game
session.

#14 - 07/27/2015 05:58 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#15 - 11/19/2015 10:31 PM - Squelch
- Status changed from Need More Info to Resolved

- % Done changed from 0 to 100

This phenomenon was resolved in 1.0.5.

#16 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed

Files

Boom.sfs 739 KB 07/02/2015 Duxomnim
Dux 2_1 Orbital Scanner.craft 220 KB 07/03/2015 Duxomnim
output_log.ixt 715 KB 07/03/2015 Duxomnim
DxDiag.txt 70.8 KB 07/03/2015 Duxomnim
persistent.sfs 210 KB 07/26/2015 redredgreengreen
quicksave.sfs 210 KB 07/26/2015 redredgreengreen
yay.sfs 71.2 KB 07/26/2015 redredgreengreen
Orbit Shot 1.craft 290 KB 07/26/2015 redredgreengreen
